- NAME
- DESCRIPTION
  - Compatibility with Search::Xapian
- METHODS
- SEE ALSO

# NAME

Xapian::PostingIterator - Iterate over the list of documents indexed by a term.

# DESCRIPTION

This iterator represents a stream of documents indexed by a term. It overloads `++` for advancing the iterator, or you can explicitly call the `inc` method. This class also overloads `eq`, `ne`, `==`, and `!=`.

## Compatibility with Search::Xapian

Search::Xapian overloads <""> (stringification) on this class to call the `get_description` method. Call `get_description` explicitly instead.

Search::Xapian overloads <0+> (convert to an integer) on this class to call the `get_docid` method. Call `get_docid` explicitly instead.

# METHODS

new

  Constructor. Defaults to an uninitialized iterator.

clone
inc

  Advance the iterator by one. (Called implicitly by `++` overloading).

skip_to <docid>

  Advance the iterator to document docid, or the first document after docid if docid isn't in the list of documents being iterated.

get_docid

  Get the unique id of the document at the current position of the iterator.

get_wdf

  Return the wdf for the current position of the iterator.

positionlist_begin

  Return Xapian::PositionIterator pointing to start of positionlist for current document.

positionlist_end

  Return Xapian::PositionIterator pointing to end of positionlist for current document.

get_doclength

  Get the length of the document at the current position of the iterator.

equal <postingiterator>

  Compare for equality with another Xapian::PostingIterator object. Also overloaded to the `eq` and `==` operators.

nequal <postingiterator>

  Compare for inequality with another Xapian::PostingIterator object. Also overloaded to the `ne` and `!=` operators.

get_description

  Return a description of this object.

# SEE ALSO

Xapian, Xapian::Database